de.esprit.netsuite.server.core

## Class ServerStatistic

- java.lang.Object
- - de.esprit.common.util.DumpableObject
  - - de.esprit.common.util.TransferableObject
    - - de.esprit.netsuite.server.core.ServerStatistic

- All Implemented Interfaces:
    DeepCloneable, Dumpable, Resettable, java.io.Serializable, java.lang.Cloneable

      public class ServerStatistic
      extends TransferableObject
      implements java.lang.Cloneable, Resettable

  This class implements a thread-safe profile of the current server statistic values. Note that most values are atomic for better performance (avoids synchronization if unnecessary).
  Author:
    Rainer Buesch
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ServerStatistic()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addMessageBytes(long bytes)`
    `void` | `addRequestBytes(long bytes)`
    `void` | `addResponseBytes(long bytes)`
    `protected int` | `configureDumpHeadlineLength()`
    `void` | `decrementParallelTransfers()`
    `ServerStatistic` | `deepClone()` Returns a deep clone of this object
    `int` | `getAgentLimitExceededCount()`
    `long` | `getAllocatedMemory()` Returns the memory currently allocated (in bytes)
    `int` | `getAndIncrementAgentLimitExceeded()`
    `int` | `getAndIncrementRequestLimitExceeded()`
    `int` | `getAsyncAgentCount()`
    `int` | `getBatchTaskCount()`
    `int` | `getBatchTaskQueueLength()`
    `int` | `getBytesPerMessage()`
    `int` | `getBytesPerRequest()`
    `int` | `getBytesPerResponse()`
    `int` | `getClientCount()`
    `int` | `getFailedAgents()`
    `int` | `getFailedLogins()`
    `int` | `getFailedRequests()`
    `int` | `getFailedTransfers()`
    `int` | `getFileDownloadCount()`
    `int` | `getFileUploadCount()`
    `int` | `getLockDenialCount()`
    `int` | `getLockEntries()`
    `long` | `getMaxAsyncAgentProcessingDuration()`
    `long` | `getMaxBatchTaskDuration()`
    `int` | `getMaxBatchTaskQueueLength()`
    `int` | `getMaxClientCount()`
    `long` | `getMaxConnectionDuration()`
    `long` | `getMaxLockDuration()`
    `int` | `getMaxLockEntries()`
    `int` | `getMaxMessageQueueLength()`
    `int` | `getMaxParallelRequests()`
    `int` | `getMaxParallelTransfers()`
    `int` | `getMaxSleeperAgents()`
    `int` | `getMaxWorkerAgents()`
    `int` | `getMessagesPerMinute()`
    `int` | `getParallelRequests()`
    `int` | `getParallelTransfers()`
    `int` | `getRequestLimitExceededCount()`
    `int` | `getRequestsPerMinute()`
    `long` | `getServerStartupTime()`
    `long` | `getServerUpDuration()`
    `int` | `getSleeperAgents()`
    `long` | `getSnapshotTime()`
    `long` | `getTotalMessageBytes()`
    `int` | `getTotalMessageCount()`
    `long` | `getTotalRequestBytes()`
    `int` | `getTotalRequestCount()`
    `long` | `getTotalResponseBytes()`
    `long` | `getUsedMemory()` Returns the memory currently in use (in bytes)
    `int` | `getWorkerAgents()`
    `void` | `incrementDownloadCount()`
    `void` | `incrementFailedAgents()`
    `void` | `incrementFailedLogins()`
    `void` | `incrementFailedRequests()`
    `void` | `incrementFailedTransfers()`
    `void` | `incrementLockDenials()`
    `void` | `incrementMessageCount()`
    `void` | `incrementParallelTransfers()`
    `void` | `incrementRequestCount()`
    `void` | `incrementUploadCount()`
    `void` | `reset()` This method is called by the ResetButton on it's registered target.
    `void` | `setBatchTaskQueueLength(int length)`
    `void` | `setClientCount(int count)`
    `void` | `setLockEntries(int entries)`
    `void` | `setMaxAsyncAgentProcessingDuration(long millis)`
    `void` | `setMaxBatchTaskDuration(long millis)`
    `void` | `setMaxConnectionDuration(long millis)`
    `void` | `setMaxLockDuration(long millis)`
    `void` | `setMaxMessageQueueLength(int length)`
    `void` | `setParallelRequests(int count)`
    `void` | `setSleeperAgents(int count)`
    `void` | `setWorkerAgents(int count)`
    `DumpString` | `toDumpString(DumpString s)` This method allows subclasses to add values to the existing DumpString of the superclass.
    `ToString` | `toString(ToString s)` This method allows subclasses to add values to the existing ToString of the superclass.

    - ### Methods inherited from class de.esprit.common.util.TransferableObject

      `clone`

    - ### Methods inherited from class de.esprit.common.util.DumpableObject

      `configureDumpMaxElementsPrinted, copyDumpStringValues, copyToStringValues, createDumpHeader, toDumpString, toString`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ServerStatistic

          public ServerStatistic()

  - ### Method Detail

    - #### setMaxLockDuration

          public void setMaxLockDuration(long millis)

    - #### setLockEntries

          public void setLockEntries(int entries)

    - #### setClientCount

          public void setClientCount(int count)

    - #### setMaxConnectionDuration

          public void setMaxConnectionDuration(long millis)

    - #### setMaxMessageQueueLength

          public void setMaxMessageQueueLength(int length)

    - #### setBatchTaskQueueLength

          public void setBatchTaskQueueLength(int length)

    - #### setMaxBatchTaskDuration

          public void setMaxBatchTaskDuration(long millis)

    - #### incrementParallelTransfers

          public void incrementParallelTransfers()

    - #### decrementParallelTransfers

          public void decrementParallelTransfers()

    - #### setParallelRequests

          public void setParallelRequests(int count)

    - #### setWorkerAgents

          public void setWorkerAgents(int count)

    - #### setSleeperAgents

          public void setSleeperAgents(int count)

    - #### setMaxAsyncAgentProcessingDuration

          public void setMaxAsyncAgentProcessingDuration(long millis)

    - #### incrementFailedTransfers

          public void incrementFailedTransfers()

    - #### incrementFailedRequests

          public void incrementFailedRequests()

    - #### incrementFailedAgents

          public void incrementFailedAgents()

    - #### incrementFailedLogins

          public void incrementFailedLogins()

    - #### getAndIncrementAgentLimitExceeded

          public int getAndIncrementAgentLimitExceeded()

    - #### getAndIncrementRequestLimitExceeded

          public int getAndIncrementRequestLimitExceeded()

    - #### incrementMessageCount

          public void incrementMessageCount()

    - #### incrementRequestCount

          public void incrementRequestCount()

    - #### incrementLockDenials

          public void incrementLockDenials()

    - #### incrementUploadCount

          public void incrementUploadCount()

    - #### incrementDownloadCount

          public void incrementDownloadCount()

    - #### reset

          public void reset()

      Description copied from interface: `Resettable`
      This method is called by the ResetButton on it's registered target.
      Specified by:
        `reset` in interface `Resettable`

    - #### deepClone

          public ServerStatistic deepClone()

      Description copied from interface: `DeepCloneable`
      Returns a deep clone of this object
      Specified by:
        `deepClone` in interface `DeepCloneable`
      Overrides:
        `deepClone` in class `TransferableObject`

    - #### getSnapshotTime

          public long getSnapshotTime()

    - #### getServerStartupTime

          public long getServerStartupTime()

    - #### getServerUpDuration

          public long getServerUpDuration()

    - #### getAllocatedMemory

          public long getAllocatedMemory()

      Returns the memory currently allocated (in bytes)

    - #### getUsedMemory

          public long getUsedMemory()

      Returns the memory currently in use (in bytes)

    - #### getAsyncAgentCount

          public int getAsyncAgentCount()

    - #### getClientCount

          public int getClientCount()

    - #### getLockDenialCount

          public int getLockDenialCount()

    - #### getLockEntries

          public int getLockEntries()

    - #### getMaxClientCount

          public int getMaxClientCount()

    - #### getMaxConnectionDuration

          public long getMaxConnectionDuration()

    - #### getMaxLockEntries

          public int getMaxLockEntries()

    - #### getMaxMessageQueueLength

          public int getMaxMessageQueueLength()

    - #### getWorkerAgents

          public int getWorkerAgents()

    - #### getMaxWorkerAgents

          public int getMaxWorkerAgents()

    - #### getSleeperAgents

          public int getSleeperAgents()

    - #### getMaxSleeperAgents

          public int getMaxSleeperAgents()

    - #### getMaxParallelRequests

          public int getMaxParallelRequests()

    - #### getMaxBatchTaskDuration

          public long getMaxBatchTaskDuration()

    - #### getMaxBatchTaskQueueLength

          public int getMaxBatchTaskQueueLength()

    - #### getTotalMessageCount

          public int getTotalMessageCount()

    - #### getTotalRequestCount

          public int getTotalRequestCount()

    - #### getParallelRequests

          public int getParallelRequests()

    - #### getRequestLimitExceededCount

          public int getRequestLimitExceededCount()

    - #### getBatchTaskCount

          public int getBatchTaskCount()

    - #### getBatchTaskQueueLength

          public int getBatchTaskQueueLength()

    - #### getFileDownloadCount

          public int getFileDownloadCount()

    - #### getFileUploadCount

          public int getFileUploadCount()

    - #### getParallelTransfers

          public int getParallelTransfers()

    - #### getMaxParallelTransfers

          public int getMaxParallelTransfers()

    - #### getRequestsPerMinute

          public int getRequestsPerMinute()

    - #### getMessagesPerMinute

          public int getMessagesPerMinute()

    - #### getMaxAsyncAgentProcessingDuration

          public long getMaxAsyncAgentProcessingDuration()

    - #### getMaxLockDuration

          public long getMaxLockDuration()

    - #### getFailedAgents

          public int getFailedAgents()

    - #### getFailedRequests

          public int getFailedRequests()

    - #### getFailedTransfers

          public int getFailedTransfers()

    - #### getFailedLogins

          public int getFailedLogins()

    - #### getAgentLimitExceededCount

          public int getAgentLimitExceededCount()

    - #### addRequestBytes

          public void addRequestBytes(long bytes)

    - #### addResponseBytes

          public void addResponseBytes(long bytes)

    - #### addMessageBytes

          public void addMessageBytes(long bytes)

    - #### getTotalRequestBytes

          public long getTotalRequestBytes()

    - #### getTotalResponseBytes

          public long getTotalResponseBytes()

    - #### getTotalMessageBytes

          public long getTotalMessageBytes()

    - #### getBytesPerRequest

          public int getBytesPerRequest()

    - #### getBytesPerResponse

          public int getBytesPerResponse()

    - #### getBytesPerMessage

          public int getBytesPerMessage()

    - #### toString

          public ToString toString(ToString s)

      Description copied from interface: `Dumpable`
      This method allows subclasses to add values to the existing ToString of the superclass. Usually subclasses only need to override this method.
      Specified by:
        `toString` in interface `Dumpable`
      Overrides:
        `toString` in class `DumpableObject`

    - #### configureDumpHeadlineLength

          protected int configureDumpHeadlineLength()

      Overrides:
        `configureDumpHeadlineLength` in class `DumpableObject`

    - #### toDumpString

          public DumpString toDumpString(DumpString s)

      Description copied from interface: `Dumpable`
      This method allows subclasses to add values to the existing DumpString of the superclass. Usually subclasses only need to override this method.
      Specified by:
        `toDumpString` in interface `Dumpable`
      Overrides:
        `toDumpString` in class `DumpableObject`

Copyright © 2014 EsprIT-Systems. All Rights Reserved.